package me.picnicapp.sample.picnicsample;

import java.util.ArrayList;

import me.picnicapp.sdk.content.Content;
import me.picnicapp.sdk.content.ContentLoader;
import me.picnicapp.sdk.picnic.Picnic;

public class App extends Picnic {

    // picnicの初期化処理
    @Override
    public void initializePicnic() {
        // アプリキーを設定する
        setApplicationKey("your_app_key");

        // コンテンツをpicnicSDKに登録する
        ArrayList<Content> contents = ContentLoader.readJsonFromResource(this, R.raw.contents);
        getContentsManager().setContents(contents);

        // ■コンテンツ一覧画面の初期設定を行う
        getSettings().contentList().setIsDirectCamera(true);
    }
}
